This is the multi-page printable view of this section. Click here to print.

Return to the regular view of this page.

Security

1 - Certificate Manager

Overview

Provides an Application Programming Interface (API) that supports programmatic use of IaaS/PaaS products provided by SCP.

This guide provides a brief description of Certificate Manager service and how to call API. The API is provided as a RESTful API, and it responds in JSON format.

Version

VersionStatusSupported Until
1.0SUPPORTED20260531
1.1CURRENT-

OpenAPI URL

https://certificatemanager.{region}.{environment}.samsungsdscloud.com

Environment and Region List

environmentregion
skr-west1
skr-east1
gkr-south1
gkr-south2
gkr-south3
ekr-west1
ekr-east1

1.1 - APIs

1.1.1 - Check duplicate name

1.1.1.1 - 1.1

post /v1/certificatemanager/check-duplication

Description

Check duplication name

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

CertificateDuplicateRequest

Responses

HTTP CodeDescriptionSchema
200OKCheckResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/certificatemanager/check-duplication

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = certificatemanager 1.1"

Request body

{
    "name": ""
}

Example HTTP response

Response 200

{
    "result": true
}

1.1.1.2 - 1.0

post /v1/certificatemanager/check-duplication

Description

Check duplication name

State ACTIVE (SUPPORTED)

VersionSupported Until
1.020260531

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

CertificateDuplicateRequest

Responses

HTTP CodeDescriptionSchema
200OKCheckResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/certificatemanager/check-duplication

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = certificatemanager 1.0"

Request body

{
    "name": ""
}

Example HTTP response

Response 200

{
    "result": true
}

1.1.2 - Create a certificate

1.1.2.1 - 1.1

post /v1/certificatemanager

Description

Create a Certificate

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

CertificateCreateRequest

Responses

HTTP CodeDescriptionSchema
201CreatedCertificateCreateResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/certificatemanager

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = certificatemanager 1.1"

Request body

{
    "cert_body": "<encoded certificate body data>",
    "cert_chain": "<encoded certificate chain data>",
    "name": "test-certificate",
    "private_key": "<encoded private key data>",
    "recipients": [
        {
            "region": "",
            "user_id": "sdaFDQSDADZ2488e195c0e97d9b9eb",
            "user_name": "kildong.hong"
        }
    ],
    "region": "west1",
    "tags": [],
    "timezone": "Asia/Seoul"
}

Example HTTP response

Response 201

{
    "certificate": {
        "account_id": "b82909b3576449fda984fb25c3123542da",
        "cert_body": "",
        "cert_chain": "",
        "cert_kind": "PRD",
        "cert_type": "pem",
        "cert_version": "2",
        "cn": "test.go.kr",
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
        "key_bit_size": "2048",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "name": "test-certificate",
        "not_after_dt": "2026-02-07T18:07:59",
        "not_before_dt": "2025-02-08T18:07:00",
        "organization": "samsungSDS",
        "private_key": "",
        "recipients": [
            {
                "region": "",
                "user_id": "sdaFDQSDADZ2488e195c0e97d9b9eb",
                "user_name": "kildong.hong"
            }
        ],
        "state": "VALID",
        "tags": [],
        "user_name": "kildong@samsung.com"
    }
}

1.1.2.2 - 1.0

post /v1/certificatemanager

Description

Create a Certificate

State ACTIVE (SUPPORTED)

VersionSupported Until
1.020260531

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

CertificateCreateRequest

Responses

HTTP CodeDescriptionSchema
201CreatedCertificateCreateResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/certificatemanager

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = certificatemanager 1.0"

Request body

{
    "cert_body": "<encoded certificate body data>",
    "cert_chain": "<encoded certificate chain data>",
    "name": "test-certificate",
    "private_key": "<encoded private key data>",
    "recipients": [
        {
            "region": "",
            "user_id": "sdaFDQSDADZ2488e195c0e97d9b9eb",
            "user_name": "kildong.hong"
        }
    ],
    "region": "west1",
    "tags": [],
    "timezone": "Asia/Seoul"
}

Example HTTP response

Response 201

{
    "certificate": {
        "account_id": "b82909b3576449fda984fb25c3123542da",
        "cert_body": "",
        "cert_chain": "",
        "cert_kind": "PRD",
        "cert_type": "pem",
        "cert_version": "2",
        "cn": "test.go.kr",
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
        "key_bit_size": "2048",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "name": "test-certificate",
        "not_after_dt": "2026-02-07T18:07:59",
        "not_before_dt": "2025-02-08T18:07:00",
        "organization": "samsungSDS",
        "private_key": "",
        "recipients": [
            {
                "region": "",
                "user_id": "sdaFDQSDADZ2488e195c0e97d9b9eb",
                "user_name": "kildong.hong"
            }
        ],
        "state": "VALID",
        "tags": [],
        "user_name": "kildong@samsung.com"
    }
}

1.1.3 - Delete a certificate

1.1.3.1 - 1.1

delete /v1/certificatemanager/{certificate_id}

Description

Delete a Certificate

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathcertificate_id
required
Certificate ID
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
200OKNone
204No ContentNone
403ForbiddenNone

Example HTTP request

Request path

/v1/certificatemanager/{certificate_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = certificatemanager 1.1"

Example HTTP response

Response 200

1.1.3.2 - 1.0

delete /v1/certificatemanager/{certificate_id}

Description

Delete a Certificate

State ACTIVE (SUPPORTED)

VersionSupported Until
1.020260531

Parameters

TypeNameDescriptionSchemaDefault
pathcertificate_id
required
Certificate ID
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
200OKNone
204No ContentNone
403ForbiddenNone

Example HTTP request

Request path

/v1/certificatemanager/{certificate_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = certificatemanager 1.0"

Example HTTP response

Response 200

1.1.4 - Detail a certificate

1.1.4.1 - 1.1

get /v1/certificatemanager/{certificate_id}

Description

Detail a Certificate

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathcertificate_id
required
Certificate ID
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
200OKCertificateDetailResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/certificatemanager/{certificate_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = certificatemanager 1.1"

Example HTTP response

Response 200

{
    "certificate": {
        "account_id": "b82909b3576449fda984fb25c3123542da",
        "cert_body": "",
        "cert_chain": "",
        "cert_kind": "DEV",
        "cert_type": "pem",
        "cert_version": "2",
        "cn": "test.go.kr",
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
        "key_bit_size": "2048",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "name": "test-certificate",
        "not_after_dt": "2026-02-07T18:07:59",
        "not_before_dt": "2025-02-08T18:07:00",
        "organization": "samsungSDS",
        "private_key": "",
        "state": "VALID",
        "user_name": "2048"
    }
}

1.1.4.2 - 1.0

get /v1/certificatemanager/{certificate_id}

Description

Detail a Certificate

State ACTIVE (SUPPORTED)

VersionSupported Until
1.020260531

Parameters

TypeNameDescriptionSchemaDefault
pathcertificate_id
required
Certificate ID
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
200OKCertificateDetailResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/certificatemanager/{certificate_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = certificatemanager 1.0"

Example HTTP response

Response 200

{
    "certificate": {
        "account_id": "b82909b3576449fda984fb25c3123542da",
        "cert_body": "",
        "cert_chain": "",
        "cert_kind": "DEV",
        "cert_type": "pem",
        "cert_version": "2",
        "cn": "test.go.kr",
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
        "key_bit_size": "2048",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "name": "test-certificate",
        "not_after_dt": "2026-02-07T18:07:59",
        "not_before_dt": "2025-02-08T18:07:00",
        "organization": "samsungSDS",
        "private_key": "",
        "state": "VALID",
        "user_name": "2048"
    }
}

1.1.5 - List certificates

1.1.5.1 - 1.1

get /v1/certificatemanager

Description

List Certificates

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
queryisMine
optional
Is it my certificate
Example : False
any of [boolean, null]False
queryname
optional
Certificate Name
Example : test-certificate
any of [string, null]None
querycn
optional
Certificate Common Name
Example : test.go.kr
any of [string, null]None
querystate
optional
Certificate State
Example : VALID
any of [array[string], string, null]None

Responses

HTTP CodeDescriptionSchema
200OKCertificateListResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/certificatemanager

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = certificatemanager 1.1"

Example HTTP response

Response 200

{
    "certificates": [
        {
            "cert_kind": "PRD",
            "cn": "test.go.kr",
            "id": "",
            "name": "test-certificate",
            "not_after_dt": "2026-02-07T18:07:59",
            "not_before_dt": "2025-02-08T18:07:00",
            "state": "VALID"
        }
    ],
    "count": 20,
    "page": 0,
    "size": 20,
    "sort": [
        "created_at:asc"
    ]
}

1.1.5.2 - 1.0

get /v1/certificatemanager

Description

List Certificates

State ACTIVE (SUPPORTED)

VersionSupported Until
1.020260531

Parameters

TypeNameDescriptionSchemaDefault
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
queryisMine
optional
Is it my certificate
Example : False
any of [boolean, null]False
queryname
optional
Certificate Name
Example : test-certificate
any of [string, null]None
querycn
optional
Certificate Common Name
Example : test.go.kr
any of [string, null]None
querystate
optional
Certificate State
Example : VALID
any of [array[string], string, null]None

Responses

HTTP CodeDescriptionSchema
200OKCertificateListResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/certificatemanager

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = certificatemanager 1.0"

Example HTTP response

Response 200

{
    "certificates": [
        {
            "cert_kind": "PRD",
            "cn": "test.go.kr",
            "id": "",
            "name": "test-certificate",
            "not_after_dt": "2026-02-07T18:07:59",
            "not_before_dt": "2025-02-08T18:07:00",
            "state": "VALID"
        }
    ],
    "count": 20,
    "page": 0,
    "size": 20,
    "sort": [
        "created_at:asc"
    ]
}

1.1.6 - Self-sign a certificate

1.1.6.1 - 1.1

post /v1/certificatemanager/self-sign

Description

Self-sign a Certificate

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

SelfSignCreateRequest

Responses

HTTP CodeDescriptionSchema
201CreatedCertificateDetailResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/certificatemanager/self-sign

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = certificatemanager 1.1"

Request body

{
    "cn": "test.go.kr",
    "name": "test-certificate",
    "not_after_dt": "20251212",
    "not_before_dt": "20250101",
    "organization": "samsungSDS",
    "recipients": [],
    "region": "west1",
    "tags": [],
    "timezone": "Asia/Seoul"
}

Example HTTP response

Response 201

{
    "certificate": {
        "account_id": "b82909b3576449fda984fb25c3123542da",
        "cert_body": "",
        "cert_chain": "",
        "cert_kind": "DEV",
        "cert_type": "pem",
        "cert_version": "2",
        "cn": "test.go.kr",
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
        "key_bit_size": "2048",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "name": "test-certificate",
        "not_after_dt": "2026-02-07T18:07:59",
        "not_before_dt": "2025-02-08T18:07:00",
        "organization": "samsungSDS",
        "private_key": "",
        "state": "VALID",
        "user_name": "2048"
    }
}

1.1.6.2 - 1.0

post /v1/certificatemanager/self-sign

Description

Self-sign a Certificate

State ACTIVE (SUPPORTED)

VersionSupported Until
1.020260531

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

SelfSignCreateRequest

Responses

HTTP CodeDescriptionSchema
201CreatedCertificateDetailResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/certificatemanager/self-sign

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = certificatemanager 1.0"

Request body

{
    "cn": "test.go.kr",
    "name": "test-certificate",
    "not_after_dt": "20251212",
    "not_before_dt": "20250101",
    "organization": "samsungSDS",
    "recipients": [],
    "region": "west1",
    "tags": [],
    "timezone": "Asia/Seoul"
}

Example HTTP response

Response 201

{
    "certificate": {
        "account_id": "b82909b3576449fda984fb25c3123542da",
        "cert_body": "",
        "cert_chain": "",
        "cert_kind": "DEV",
        "cert_type": "pem",
        "cert_version": "2",
        "cn": "test.go.kr",
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
        "key_bit_size": "2048",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "name": "test-certificate",
        "not_after_dt": "2026-02-07T18:07:59",
        "not_before_dt": "2025-02-08T18:07:00",
        "organization": "samsungSDS",
        "private_key": "",
        "state": "VALID",
        "user_name": "2048"
    }
}

1.1.7 - Validate a certificate

1.1.7.1 - 1.1

post /v1/certificatemanager/check-validation

Description

Validate a Certificate

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

CertificateValidateRequestV1Dot1

Responses

HTTP CodeDescriptionSchema
200OKCertificateValidateResponseV1Dot1
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/certificatemanager/check-validation

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = certificatemanager 1.1"

Request body

{
    "cert_body": "<encoded certificate body data>",
    "cert_chain": "<encoded certificate chain data>",
    "private_key": "<encoded private key data>"
}

Example HTTP response

Response 200

{
    "validate_check": ""
}

1.1.7.2 - 1.0

post /v1/certificatemanager/check-validation

Description

Validate a Certificate

State ACTIVE (SUPPORTED)

VersionSupported Until
1.020260531

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

CertificateValidateRequest

Responses

HTTP CodeDescriptionSchema
200OKCheckResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/certificatemanager/check-validation

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = certificatemanager 1.0"

Request body

{
    "cert_body": "<encoded certificate body data>",
    "cert_chain": "<encoded certificate chain data>",
    "is_need_cert_chain": "True",
    "private_key": "<encoded private key data>"
}

Example HTTP response

Response 200

{
    "result": true
}

1.2 - Models

1.2.1 - CertificateCreate

NameDescriptionSchemaDefault
account_id
required
Account ID
Example : b82909b3576449fda984fb25c3123542da
string
cert_body
required
Certificate body
Example :
string
cert_chain
optional
Certificate chain
Example :
any of [string, null]
cert_kind
optional
Certificate type
Example : PRD
string
cert_type
required
Certificate type
Example : pem
string
cert_version
required
Certificate Version
Example : 2
string
cn
required
Certificate Common Name
Example : test.go.kr
string
created_at
required
Created At
Example : 2024-05-17T00:23:17Z
string (date-time)
created_by
required
Created By
Example : 90dddfc2b1e04edba54ba2b41539a9ac
string
id
required
ID
Example : 0fdd87aab8cb46f59b7c1f81ed03fb3e
string
key_bit_size
required
key bits size
Example : 2048
string
modified_at
required
Modified At
Example : 2024-05-17T00:23:17Z
string (date-time)
modified_by
required
Modified By
Example : 90dddfc2b1e04edba54ba2b41539a9ac
string
name
required
Certificate Name
Example : test-certificate
string
not_after_dt
required
Certificate Expire Date
Example : 2026-02-07T18:07:59
string (date-time)
not_before_dt
required
Certificate Start Date
Example : 2025-02-08T18:07:00
string (date-time)
organization
required
Certificate Organization Name
Example : samsungSDS
string
private_key
required
Private key
Example :
string
recipients
optional
Expired certificates Recipients
Example : [{'region': '', 'user_id': 'sdaFDQSDADZ2488e195c0e97d9b9eb', 'user_name': 'kildong.hong'}]
array[Recipient]
state
required
Certificate State
Example : VALID
string
tags
optional
Tag List’
array[Tag]
user_name
required
User Name
Example : kildong@samsung.com
string

1.2.2 - CertificateCreateRequest

NameDescriptionSchemaDefault
cert_body
required
Certificate body
Example : <encoded certificate body data>
string
cert_chain
optional
Certificate chain
Example : <encoded certificate chain data>
any of [string, null]
name
required
Certificate Name
Example : test-certificate
string
private_key
required
Private key
Example : <encoded private key data>
string
recipients
optional
Expired certificates Recipients
Example : [{'region': '', 'user_id': 'sdaFDQSDADZ2488e195c0e97d9b9eb', 'user_name': 'kildong.hong'}]
array[Recipient]
region
required
Name of region
Example : west1
string
tags
optional
Tag List’
array[Tag]
timezone
required
Timezone
Example : Asia/Seoul
string

1.2.3 - CertificateCreateResponse

NameDescriptionSchemaDefault
certificate
required

CertificateCreate

1.2.4 - CertificateDetail

NameDescriptionSchemaDefault
account_id
required
Account ID
Example : b82909b3576449fda984fb25c3123542da
string
cert_body
required
Certificate body
Example :
string
cert_chain
optional
Certificate chain
Example :
any of [string, null]
cert_kind
optional
Certificate type
Example : DEV
string
cert_type
required
Certificate type
Example : pem
string
cert_version
required
Certificate Version
Example : 2
string
cn
required
Certificate Common Name
Example : test.go.kr
string
created_at
required
Created At
Example : 2024-05-17T00:23:17Z
string (date-time)
created_by
required
Created By
Example : 90dddfc2b1e04edba54ba2b41539a9ac
string
id
required
ID
Example : 0fdd87aab8cb46f59b7c1f81ed03fb3e
string
key_bit_size
required
key bits size
Example : 2048
string
modified_at
required
Modified At
Example : 2024-05-17T00:23:17Z
string (date-time)
modified_by
required
Modified By
Example : 90dddfc2b1e04edba54ba2b41539a9ac
string
name
required
Certificate Name
Example : test-certificate
string
not_after_dt
required
Certificate Expire Date
Example : 2026-02-07T18:07:59
string (date-time)
not_before_dt
required
Certificate Start Date
Example : 2025-02-08T18:07:00
string (date-time)
organization
required
Certificate Organization Name
Example : samsungSDS
string
private_key
required
Private key
Example :
string
state
required
Certificate State
Example : VALID
string
user_name
required
User Name
Example : 2048
string

1.2.5 - CertificateDetailResponse

NameDescriptionSchemaDefault
certificate
required

CertificateDetail

1.2.6 - CertificateDuplicateRequest

NameDescriptionSchemaDefault
name
required
Certificate Name
Example :
string

1.2.7 - CertificateList

NameDescriptionSchemaDefault
cert_kind
optional
Certificate type
Example : PRD
string
cn
required
Certificate Common Name
Example : test.go.kr
string
id
required
Certificate ID
Example :
string
name
required
Certificate Name
Example : test-certificate
string
not_after_dt
required
Certificate Expire Date
Example : 2026-02-07T18:07:59
string (date-time)
not_before_dt
required
Certificate Start Date
Example : 2025-02-08T18:07:00
string (date-time)
state
required
Certificate State
Example : VALID
string

1.2.8 - CertificateListResponse

NameDescriptionSchemaDefault
certificates
required

array[CertificateList]
count
required
count
Example : 20
integer
page
required
page
Example : 0
integer
size
required
size
Example : 20
integer
sort
optional
sort
Example : ['created_at:asc']
any of [array[string], null]

1.2.9 - CertificateValidateRequest

NameDescriptionSchemaDefault
cert_body
required
Certificate body
Example : <encoded certificate body data>
string
cert_chain
optional
Certificate chain
Example : <encoded certificate chain data>
any of [string, null]
is_need_cert_chain
required
Is needed Certificate chain
Example : True
boolean
private_key
required
Private key
Example : <encoded private key data>
string

1.2.10 - CertificateValidateRequestV1Dot1

NameDescriptionSchemaDefault
cert_body
required
Certificate body
Example : <encoded certificate body data>
string
cert_chain
optional
Certificate chain
Example : <encoded certificate chain data>
any of [string, null]
private_key
required
Private key
Example : <encoded private key data>
string

1.2.11 - CertificateValidateResponseV1Dot1

NameDescriptionSchemaDefault
validate_check
required

Example :
boolean

1.2.12 - CheckResponse

NameDescriptionSchemaDefault
result
required
True, False Check
Example : True
boolean

1.2.13 - Recipient

NameDescriptionSchemaDefault
region
required
Name of region
Example :
string
user_id
required
User ID
Example :
string
user_name
required
User Name
Example :
string

1.2.14 - SelfSignCreateRequest

NameDescriptionSchemaDefault
cn
required
Certificate Common Name
Example : test.go.kr
string
name
required
Certificate Name
Example : test-certificate
string
not_after_dt
required
Certificate Expire Date
Example : 20251212
string
not_before_dt
required
Certificate Start Date
Example : 20250101
string
organization
required
Certificate Organization Name
Example : samsungSDS
string
recipients
optional
Expired certificates Recipients
array[Recipient]
region
required
Name of region
Example : west1
string
tags
optional
Tag List’
array[Tag]
timezone
required
Timezone
Example : Asia/Seoul
string

1.2.15 - Tag

NameDescriptionSchemaDefault
key
required
tag key
Example :
string
value
required
tag value
Example :
string

2 - Config Inspection

Overview

Provides an Application Programming Interface (API) that supports programmatic use of IaaS/PaaS products provided by SCP.

This guide provides a brief description of Config Inspection service and how to call API. The API is provided as a RESTful API, and it responds in JSON format.

Version

VersionStatusSupported Until
1.0SUPPORTED20260531
1.1CURRENT-

OpenAPI URL

https://configinspection.{region}.{environment}.samsungsdscloud.com

Environment and Region List

environmentregion
skr-west1
skr-east1
gkr-south1
gkr-south2
gkr-south3
ekr-west1
ekr-east1

2.1 - APIs

2.1.1 - Create Config Inspection

2.1.1.1 - 1.1

post /v1/configinspection/diagnosis/save

Description

Create Diagnosis Object

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

DiagnosisObjectRequest

Responses

HTTP CodeDescriptionSchema
201CreatedConfigInspectionCreateResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/configinspection/diagnosis/save

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = configinspection 1.1"

Request body

{
    "account_id": "0e3dffc50eb247a1adf4f2e5c82c4f99",
    "auth_key_request": {
        "auth_key_created_at": "2022-01-01 12:00:00",
        "auth_key_expired_at": "2023-01-01 12:00:00",
        "auth_key_id": "9b72a9856e494e67afc69atd3631fe38",
        "diagnosis_id": "DIA-943731CB8E3045C289BAECAEC3532097"
    },
    "csp_type": "SCP",
    "diagnosis_account_id": "0e3dffc50eb247a1adf4f2e5c82c4f99",
    "diagnosis_check_type": "BP",
    "diagnosis_id": "DIA-943731CB8E3045C289BAECAEC3532097",
    "diagnosis_name": "Sample Diagnosis Name",
    "diagnosis_type": "Console",
    "plan_type": "STANDARD",
    "schedule_request": {
        "diagnosis_id": "DIA-943731CB8E3045C289BAECAEC3532097",
        "diagnosis_start_time_pattern": "08:00",
        "frequency_type": "MONTH",
        "frequency_value": "1",
        "use_diagnosis_check_type_bp": "y",
        "use_diagnosis_check_type_ssi": "y"
    },
    "tags": []
}

Example HTTP response

Response 201

{
    "diagnosis_id": "Sample Diagnosis Name",
    "result": true
}

2.1.1.2 - 1.0

post /v1/configinspection/diagnosis/save

Description

Create Diagnosis Object

State ACTIVE (SUPPORTED)

VersionSupported Until
1.020260531

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

DiagnosisObjectRequest

Responses

HTTP CodeDescriptionSchema
201CreatedCheckResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/configinspection/diagnosis/save

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = configinspection 1.0"

Request body

{
    "account_id": "0e3dffc50eb247a1adf4f2e5c82c4f99",
    "auth_key_request": {
        "auth_key_created_at": "2022-01-01 12:00:00",
        "auth_key_expired_at": "2023-01-01 12:00:00",
        "auth_key_id": "9b72a9856e494e67afc69atd3631fe38",
        "diagnosis_id": "DIA-943731CB8E3045C289BAECAEC3532097"
    },
    "csp_type": "SCP",
    "diagnosis_account_id": "0e3dffc50eb247a1adf4f2e5c82c4f99",
    "diagnosis_check_type": "BP",
    "diagnosis_id": "DIA-943731CB8E3045C289BAECAEC3532097",
    "diagnosis_name": "Sample Diagnosis Name",
    "diagnosis_type": "Console",
    "plan_type": "STANDARD",
    "schedule_request": {
        "diagnosis_id": "DIA-943731CB8E3045C289BAECAEC3532097",
        "diagnosis_start_time_pattern": "08:00",
        "frequency_type": "MONTH",
        "frequency_value": "1",
        "use_diagnosis_check_type_bp": "y",
        "use_diagnosis_check_type_ssi": "y"
    },
    "tags": []
}

Example HTTP response

Response 201

{
    "result": true
}

2.1.2 - Delete Config Inspection

2.1.2.1 - 1.1

delete /v1/configinspection/diagnosis/terminate/{diagnosis_id}

Description

Delete Config Inspection Product

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathdiagnosis_id
required
Id of diagnosis
Example : Sample Diagnosis Name
stringNone

Responses

HTTP CodeDescriptionSchema
200OKTerminateResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/configinspection/diagnosis/terminate/{diagnosis_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = configinspection 1.1"

Example HTTP response

Response 200

{
    "delete_flag": true,
    "msg": "Delete success"
}

2.1.2.2 - 1.0

delete /v1/configinspection/diagnosis/terminate/{diagnosis_id}

Description

Delete Config Inspection Product

State ACTIVE (SUPPORTED)

VersionSupported Until
1.020260531

Parameters

TypeNameDescriptionSchemaDefault
pathdiagnosis_id
required
Id of diagnosis
Example : Sample Diagnosis Name
stringNone

Responses

HTTP CodeDescriptionSchema
200OKTerminateResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/configinspection/diagnosis/terminate/{diagnosis_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = configinspection 1.0"

Example HTTP response

Response 200

{
    "delete_flag": true,
    "msg": "Delete success"
}

2.1.3 - Diagnosis Request

2.1.3.1 - 1.1

post /v1/configinspection/diagnosis/request

Description

Request diagnosis

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

DiagnosisRequest

Responses

HTTP CodeDescriptionSchema
201CreatedCheckResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/configinspection/diagnosis/request

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = configinspection 1.1"

Request body

{
    "access_key": "SAMPLE KEY",
    "diagnosis_check_type": "BP",
    "diagnosis_id": "DIA-943731CB8E3045C289BAECAEC3532097",
    "secret_key": "SAMPLE KEY",
    "tenant_id": "1234567890"
}

Example HTTP response

Response 201

{
    "result": true
}

2.1.3.2 - 1.0

post /v1/configinspection/diagnosis/request

Description

Request diagnosis

State ACTIVE (SUPPORTED)

VersionSupported Until
1.020260531

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

DiagnosisRequest

Responses

HTTP CodeDescriptionSchema
201CreatedCheckResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/configinspection/diagnosis/request

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = configinspection 1.0"

Request body

{
    "access_key": "SAMPLE KEY",
    "diagnosis_check_type": "BP",
    "diagnosis_id": "DIA-943731CB8E3045C289BAECAEC3532097",
    "secret_key": "SAMPLE KEY",
    "tenant_id": "1234567890"
}

Example HTTP response

Response 201

{
    "result": true
}

2.1.4 - Disgnosis Response

2.1.4.1 - 1.1

post /v1/configinspection/diagnosis/response

Description

Response diagnosis

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

ConfigInspectionLookinResponse

Responses

HTTP CodeDescriptionSchema
201CreatedCheckResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/configinspection/diagnosis/response

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = configinspection 1.1"

Request body

{
    "requestNumber": "",
    "systemId": "",
    "targets": {
        "cloudAccountId": "",
        "cspCd": "",
        "cspConsoleCd": "",
        "error": {
            "message": "",
            "type": ""
        },
        "kind": "",
        "result": [],
        "status": "",
        "version": ""
    }
}

Example HTTP response

Response 201

{
    "result": true
}

2.1.4.2 - 1.0

post /v1/configinspection/diagnosis/response

Description

Response diagnosis

State ACTIVE (SUPPORTED)

VersionSupported Until
1.020260531

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

ConfigInspectionLookinResponse

Responses

HTTP CodeDescriptionSchema
201CreatedCheckResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/configinspection/diagnosis/response

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = configinspection 1.0"

Request body

{
    "requestNumber": "",
    "systemId": "",
    "targets": {
        "cloudAccountId": "",
        "cspCd": "",
        "cspConsoleCd": "",
        "error": {
            "message": "",
            "type": ""
        },
        "kind": "",
        "result": [],
        "status": "",
        "version": ""
    }
}

Example HTTP response

Response 201

{
    "result": true
}

2.1.5 - Get Diagnosis Object Detail

2.1.5.1 - 1.1

get /v1/configinspection/diagnosis/detail/{diagnosis_id}

Description

Get Diagnosis Object Detail

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathdiagnosis_id
required
Id of diagnosis
Example : Sample Diagnosis Name
stringNone

Responses

HTTP CodeDescriptionSchema
200OKDiagnosisObjectDetailResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/configinspection/diagnosis/detail/{diagnosis_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = configinspection 1.1"

Example HTTP response

Response 200

{
    "auth_key_responses": {
        "auth_key_created_at": "2022-01-01T12:00:00Z",
        "auth_key_expired_at": "2022-01-01T12:00:00Z",
        "auth_key_id": "9b72a9856e494e67afc69atd3631fe38",
        "auth_key_state": "ACTIVATED",
        "user_id": "4f5d60e9e08b48d0a0881e21ab14e266"
    },
    "schedule_response": {
        "diagnosis_id": "DIA-943731CB8E3045C289BAECAEC3532097",
        "diagnosis_start_time_pattern": "08:00",
        "frequency_type": "MONTH",
        "frequency_value": "1",
        "use_diagnosis_check_type_bp": "y",
        "use_diagnosis_check_type_ssi": "y"
    },
    "summary_responses": {
        "created_at": "2022-01-01T12:00:00Z",
        "csp_type": "SCP",
        "diagnosis_account_id": "0e3dffc50eb247a1adf4f2e5c82c4f99",
        "diagnosis_check_type": "BP",
        "diagnosis_id": "DIA-943731CB8E3045C289BAECAEC3532097",
        "diagnosis_name": "Sample Diagnosis Name",
        "diagnosis_type": "Console",
        "error_state": "CONNECTION_FAIL",
        "plan_type": "STANDARD",
        "recent_diagnosis_at": "2022-01-01T12:00:00Z",
        "recent_diagnosis_state": "Completed"
    }
}

2.1.5.2 - 1.0

get /v1/configinspection/diagnosis/detail/{diagnosis_id}

Description

Get Diagnosis Object Detail

State ACTIVE (SUPPORTED)

VersionSupported Until
1.020260531

Parameters

TypeNameDescriptionSchemaDefault
pathdiagnosis_id
required
Id of diagnosis
Example : Sample Diagnosis Name
stringNone

Responses

HTTP CodeDescriptionSchema
200OKDiagnosisObjectDetailResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/configinspection/diagnosis/detail/{diagnosis_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = configinspection 1.0"

Example HTTP response

Response 200

{
    "auth_key_responses": {
        "auth_key_created_at": "2022-01-01T12:00:00Z",
        "auth_key_expired_at": "2022-01-01T12:00:00Z",
        "auth_key_id": "9b72a9856e494e67afc69atd3631fe38",
        "auth_key_state": "ACTIVATED",
        "user_id": "4f5d60e9e08b48d0a0881e21ab14e266"
    },
    "schedule_response": {
        "diagnosis_id": "DIA-943731CB8E3045C289BAECAEC3532097",
        "diagnosis_start_time_pattern": "08:00",
        "frequency_type": "MONTH",
        "frequency_value": "1",
        "use_diagnosis_check_type_bp": "y",
        "use_diagnosis_check_type_ssi": "y"
    },
    "summary_responses": {
        "created_at": "2022-01-01T12:00:00Z",
        "csp_type": "SCP",
        "diagnosis_account_id": "0e3dffc50eb247a1adf4f2e5c82c4f99",
        "diagnosis_check_type": "BP",
        "diagnosis_id": "DIA-943731CB8E3045C289BAECAEC3532097",
        "diagnosis_name": "Sample Diagnosis Name",
        "diagnosis_type": "Console",
        "error_state": "CONNECTION_FAIL",
        "plan_type": "STANDARD",
        "recent_diagnosis_at": "2022-01-01T12:00:00Z",
        "recent_diagnosis_state": "Completed"
    }
}

2.1.6 - Get Diagnosis Result Detail

2.1.6.1 - 1.1

get /v1/configinspection/report/diagnosis/detail

Description

get Diagnosis Result Detail

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
querywith_count
optional
with count
Example : true
any of [string, null]None
querylimit
optional
limit
Example : 20
any of [integer, null]None
querymarker
optional
marker
Example : 607e0938521643b5b4b266f343fae693
any of [string, null]None
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
querydiagnosis_id
required
Id of diagnosis
Example : DIA-943731CB8E3045C289BAECAEC3532097
stringNone
querydiagnosis_request_sequence
required
Sequence of diagnosis request
Example : SCPCIS-E75FD21CA524441C9C1B1B381D5974F7
stringNone

Responses

HTTP CodeDescriptionSchema
200OKDiagnosisResultDetailResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/configinspection/report/diagnosis/detail?diagnosis_id={diagnosis_id}&diagnosis_request_sequence={diagnosis_request_sequence}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = configinspection 1.1"

Example HTTP response

Response 200

{
    "checklist_name": "Sample Checklist",
    "count": 20,
    "diagnosis_account_id": "0e3dffc50eb247a1adf4f2e5c82c4f99",
    "diagnosis_check_type": "BP",
    "diagnosis_id": "DIA-943731CB8E3045C289BAECAEC3532097",
    "diagnosis_name": "Sample Diagnosis Name",
    "diagnosis_request_sequence": "SCPCIS-E75FD21CA524441C9C1B1B381D5974F7",
    "links": [
        {
            "href": "http://scp.samsungsdscloud.com/v1/notices",
            "rel": "self"
        }
    ],
    "proceed_date": "2026-02-11T06:41:21.598Z",
    "result_detail_list": [
        {
            "action_guide": "원격 접속 Port에 Source IP가 ANY(0.0.0.0/0)로 등록되어있거나 과도하게 허용된 Security Group 규칙은 아래와 같이 삭제합니다.",
            "changed": true,
            "diagnosis_check_type": "BP",
            "diagnosis_criteria": "【 Security Group 규칙 】\r\n① 원격접속 Port에 Any IP 접근을 허용하는 규칙이 존재하지 않아야 합니다.",
            "diagnosis_item": "2.NW_003. 프로토콜 별 원격접속 Port는 접근이 필요한 IP를 지정하여 접속을 허용해야 합니다.",
            "diagnosis_layer": "2.NETWORK",
            "diagnosis_method": "Security Group의 Inbound 규칙에 원격 접속이 필요한 사용자나 시스템만 접근을 허용하는 규칙을 등록 하였는지 확인합니다.",
            "diagnosis_result": "03",
            "result_contents": "상세 내역",
            "sub_category": "NURIBP_SCP_02.NW_004"
        }
    ],
    "total": 10
}

2.1.6.2 - 1.0

get /v1/configinspection/report/diagnosis/detail

Description

get Diagnosis Result Detail

State ACTIVE (SUPPORTED)

VersionSupported Until
1.020260531

Parameters

TypeNameDescriptionSchemaDefault
querywith_count
optional
with count
Example : true
any of [string, null]None
querylimit
optional
limit
Example : 20
any of [integer, null]None
querymarker
optional
marker
Example : 607e0938521643b5b4b266f343fae693
any of [string, null]None
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
querydiagnosis_id
required
Id of diagnosis
Example : DIA-943731CB8E3045C289BAECAEC3532097
stringNone
querydiagnosis_request_sequence
required
Sequence of diagnosis request
Example : SCPCIS-E75FD21CA524441C9C1B1B381D5974F7
stringNone

Responses

HTTP CodeDescriptionSchema
200OKDiagnosisResultDetailResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/configinspection/report/diagnosis/detail?diagnosis_id={diagnosis_id}&diagnosis_request_sequence={diagnosis_request_sequence}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = configinspection 1.0"

Example HTTP response

Response 200

{
    "checklist_name": "Sample Checklist",
    "count": 20,
    "diagnosis_account_id": "0e3dffc50eb247a1adf4f2e5c82c4f99",
    "diagnosis_check_type": "BP",
    "diagnosis_id": "DIA-943731CB8E3045C289BAECAEC3532097",
    "diagnosis_name": "Sample Diagnosis Name",
    "diagnosis_request_sequence": "SCPCIS-E75FD21CA524441C9C1B1B381D5974F7",
    "links": [
        {
            "href": "http://scp.samsungsdscloud.com/v1/notices",
            "rel": "self"
        }
    ],
    "proceed_date": "2026-02-11T06:41:21.445Z",
    "result_detail_list": [
        {
            "action_guide": "원격 접속 Port에 Source IP가 ANY(0.0.0.0/0)로 등록되어있거나 과도하게 허용된 Security Group 규칙은 아래와 같이 삭제합니다.",
            "changed": true,
            "diagnosis_check_type": "BP",
            "diagnosis_criteria": "【 Security Group 규칙 】\r\n① 원격접속 Port에 Any IP 접근을 허용하는 규칙이 존재하지 않아야 합니다.",
            "diagnosis_item": "2.NW_003. 프로토콜 별 원격접속 Port는 접근이 필요한 IP를 지정하여 접속을 허용해야 합니다.",
            "diagnosis_layer": "2.NETWORK",
            "diagnosis_method": "Security Group의 Inbound 규칙에 원격 접속이 필요한 사용자나 시스템만 접근을 허용하는 규칙을 등록 하였는지 확인합니다.",
            "diagnosis_result": "03",
            "result_contents": "상세 내역",
            "sub_category": "NURIBP_SCP_02.NW_004"
        }
    ],
    "total": 10
}

2.1.7 - List Config Inspection

2.1.7.1 - 1.1

get /v1/configinspection/diagnosis/list

Description

get config inspection list

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
querywith_count
optional
with count
Example : true
any of [string, null]None
querylimit
optional
limit
Example : 20
any of [integer, null]None
querymarker
optional
marker
Example : 607e0938521643b5b4b266f343fae693
any of [string, null]None
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
queryisMine
optional
my Config Inspection
Example : False
booleanFalse
querydiagnosis_id
optional
Id of diagnosis
Example : DIA-943731CB8E3045C289BAECAEC3532097
any of [string, null]None
querydiagnosis_name
optional
Name of diagnosis
Example : My Diagnosis
any of [string, null]None
querycsp_type
optional
Type of cloud service provider
Example : SCP
any of [string, null]None
querydiagnosis_account_id
optional
Id of diagnosis
Example : 0e3dffc50eb247a1adf4f2e5c82c4f99
any of [string, null]None
queryrecent_diagnosis_state
optional
recent Diagnosis State
Example : Completed
any of [array[string], null]None
querystart_date
optional
start Date
Example : 2022-01-01 12:00:00
any of [string, null]None
queryend_date
optional
end Date
Example : 2022-01-02 12:00:00
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKConfigInspectionListResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/configinspection/diagnosis/list

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = configinspection 1.1"

Example HTTP response

Response 200

{
    "count": 20,
    "links": [
        {
            "href": "http://scp.samsungsdscloud.com/v1/notices",
            "rel": "self"
        }
    ],
    "summary_responses": [
        {
            "created_at": "2022-01-01T12:00:00Z",
            "csp_type": "SCP",
            "diagnosis_account_id": "0e3dffc50eb247a1adf4f2e5c82c4f99",
            "diagnosis_check_type": "BP",
            "diagnosis_id": "DIA-943731CB8E3045C289BAECAEC3532097",
            "diagnosis_name": "Sample Diagnosis Name",
            "diagnosis_type": "Console",
            "error_state": "CONNECTION_FAIL",
            "plan_type": "STANDARD",
            "recent_diagnosis_at": "2022-01-01T12:00:00Z",
            "recent_diagnosis_state": "Completed"
        }
    ]
}

2.1.7.2 - 1.0

get /v1/configinspection/diagnosis/list

Description

get config inspection list

State ACTIVE (SUPPORTED)

VersionSupported Until
1.020260531

Parameters

TypeNameDescriptionSchemaDefault
querywith_count
optional
with count
Example : true
any of [string, null]None
querylimit
optional
limit
Example : 20
any of [integer, null]None
querymarker
optional
marker
Example : 607e0938521643b5b4b266f343fae693
any of [string, null]None
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
queryisMine
optional
my Config Inspection
Example : False
booleanFalse
querydiagnosis_id
optional
Id of diagnosis
Example : DIA-943731CB8E3045C289BAECAEC3532097
any of [string, null]None
querydiagnosis_name
optional
Name of diagnosis
Example : My Diagnosis
any of [string, null]None
querycsp_type
optional
Type of cloud service provider
Example : SCP
any of [string, null]None
querydiagnosis_account_id
optional
Id of diagnosis
Example : 0e3dffc50eb247a1adf4f2e5c82c4f99
any of [string, null]None
queryrecent_diagnosis_state
optional
recent Diagnosis State
Example : Completed
any of [array[string], null]None
querystart_date
optional
start Date
Example : 2022-01-01 12:00:00
any of [string, null]None
queryend_date
optional
end Date
Example : 2022-01-02 12:00:00
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKConfigInspectionListResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/configinspection/diagnosis/list

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = configinspection 1.0"

Example HTTP response

Response 200

{
    "count": 20,
    "links": [
        {
            "href": "http://scp.samsungsdscloud.com/v1/notices",
            "rel": "self"
        }
    ],
    "summary_responses": [
        {
            "created_at": "2022-01-01T12:00:00Z",
            "csp_type": "SCP",
            "diagnosis_account_id": "0e3dffc50eb247a1adf4f2e5c82c4f99",
            "diagnosis_check_type": "BP",
            "diagnosis_id": "DIA-943731CB8E3045C289BAECAEC3532097",
            "diagnosis_name": "Sample Diagnosis Name",
            "diagnosis_type": "Console",
            "error_state": "CONNECTION_FAIL",
            "plan_type": "STANDARD",
            "recent_diagnosis_at": "2022-01-01T12:00:00Z",
            "recent_diagnosis_state": "Completed"
        }
    ]
}

2.1.8 - List Diagnosis Result

2.1.8.1 - 1.1

get /v1/configinspection/report/diagnosis/list

Description

get Diagnosis Result List

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
querywith_count
optional
with count
Example : true
any of [string, null]None
querylimit
optional
limit
Example : 20
any of [integer, null]None
querymarker
optional
marker
Example : 607e0938521643b5b4b266f343fae693
any of [string, null]None
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
queryaccount_id
optional
account Id
Example : 0e3dffc50eb247a1adf4f2e5c82c4f99
any of [string, null]None
querydiagnosis_id
optional
Id of diagnosis
Example : DIA-943731CB8E3045C289BAECAEC3532097
any of [string, null]None
querydiagnosis_name
optional
Name of diagnosis
Example : Sample Diagnosis Name
any of [string, null]None
querystart_date
optional
start Date
Example : 2022-01-01
any of [string, null]None
queryend_date
optional
end Date
Example : 2022-12-31
any of [string, null]None
querycsp_type
optional
Type of cloud service provider
Example : SCP
any of [string, null]None
querydiagnosis_state
optional
Status of diagnosis
Example : Completed
any of [string, null]None
queryuser_id
optional
user Id
Example : 76b563a009584b1380715c00703a02ff
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKDiagnosisResultListResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/configinspection/report/diagnosis/list

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = configinspection 1.1"

Example HTTP response

Response 200

{
    "count": 20,
    "diagnosis_result_responses": [
        {
            "count_check": 10,
            "count_error": 0,
            "count_fail": 3,
            "count_na": 2,
            "count_pass": 5,
            "csp_type": "SCP",
            "diagnosis_account_id": "0e3dffc50eb247a1adf4f2e5c82c4f99",
            "diagnosis_check_type": "BP",
            "diagnosis_id": "DIA-943731CB8E3045C289BAECAEC3532097",
            "diagnosis_name": "Sample Diagnosis Name",
            "diagnosis_request_sequence": "1234567890",
            "diagnosis_result": "SUCCESS",
            "diagnosis_total_count": 10,
            "proceed_date": "2022-01-01T12:00:00Z",
            "total": 10
        }
    ],
    "links": [
        {
            "href": "http://scp.samsungsdscloud.com/v1/notices",
            "rel": "self"
        }
    ]
}

2.1.8.2 - 1.0

get /v1/configinspection/report/diagnosis/list

Description

get Diagnosis Result List

State ACTIVE (SUPPORTED)

VersionSupported Until
1.020260531

Parameters

TypeNameDescriptionSchemaDefault
querywith_count
optional
with count
Example : true
any of [string, null]None
querylimit
optional
limit
Example : 20
any of [integer, null]None
querymarker
optional
marker
Example : 607e0938521643b5b4b266f343fae693
any of [string, null]None
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
queryaccount_id
optional
account Id
Example : 0e3dffc50eb247a1adf4f2e5c82c4f99
any of [string, null]None
querydiagnosis_id
optional
Id of diagnosis
Example : DIA-943731CB8E3045C289BAECAEC3532097
any of [string, null]None
querydiagnosis_name
optional
Name of diagnosis
Example : Sample Diagnosis Name
any of [string, null]None
querystart_date
optional
start Date
Example : 2022-01-01
any of [string, null]None
queryend_date
optional
end Date
Example : 2022-12-31
any of [string, null]None
querycsp_type
optional
Type of cloud service provider
Example : SCP
any of [string, null]None
querydiagnosis_state
optional
Status of diagnosis
Example : Completed
any of [string, null]None
queryuser_id
optional
user Id
Example : 76b563a009584b1380715c00703a02ff
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKDiagnosisResultListResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/configinspection/report/diagnosis/list

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = configinspection 1.0"

Example HTTP response

Response 200

{
    "count": 20,
    "diagnosis_result_responses": [
        {
            "count_check": 10,
            "count_error": 0,
            "count_fail": 3,
            "count_na": 2,
            "count_pass": 5,
            "csp_type": "SCP",
            "diagnosis_account_id": "0e3dffc50eb247a1adf4f2e5c82c4f99",
            "diagnosis_check_type": "BP",
            "diagnosis_id": "DIA-943731CB8E3045C289BAECAEC3532097",
            "diagnosis_name": "Sample Diagnosis Name",
            "diagnosis_request_sequence": "1234567890",
            "diagnosis_result": "SUCCESS",
            "diagnosis_total_count": 10,
            "proceed_date": "2022-01-01T12:00:00Z",
            "total": 10
        }
    ],
    "links": [
        {
            "href": "http://scp.samsungsdscloud.com/v1/notices",
            "rel": "self"
        }
    ]
}

2.2 - Models

2.2.1 - AuthKeyRequest

NameDescriptionSchemaDefault
auth_key_created_at
optional
created date of authkey
Example : 2022-01-01 12:00:00
any of [string, null]
auth_key_expired_at
optional
expired date of authkey
Example : 2023-01-01 12:00:00
any of [string, null]
auth_key_id
required
Id of auth key
Example : 9b72a9856e494e67afc69atd3631fe38
string
diagnosis_id
optional
Id of diagnosis
Example : DIA-943731CB8E3045C289BAECAEC3532097
any of [string, null]

2.2.2 - AuthKeyResponse

NameDescriptionSchemaDefault
auth_key_created_at
optional
created date of authkey
Example : 2022-01-01T12:00:00Z
string
auth_key_expired_at
optional
expired date of authkey
Example : 2022-01-01T12:00:00Z
string
auth_key_id
optional
Id of auth key
Example : 9b72a9856e494e67afc69atd3631fe38
string
auth_key_state
optional
state of auth key
Example : ACTIVATED
string
user_id
optional
user Id
Example : 4f5d60e9e08b48d0a0881e21ab14e266
string

2.2.3 - CheckResponse

NameDescriptionSchemaDefault
result
required
True, False Check
Example : True
boolean

2.2.4 - ConfigInspectionCreateResponse

NameDescriptionSchemaDefault
diagnosis_id
required
Id of diagnosis
Example : Sample Diagnosis Name
string
result
required
True, False Check
Example : True
boolean

2.2.5 - ConfigInspectionListResponse

NameDescriptionSchemaDefault
count
optional
total count
Example : 20
any of [integer, null]
links
optional
links
Example : [{'href': 'http://scp.samsungsdscloud.com/v1/notices', 'rel': 'self'}]
any of [array[object], null]
summary_responses
required

array[SummaryResponse]

2.2.6 - ConfigInspectionLookinError

NameDescriptionSchemaDefault
message
optional

Example :
string
type
optional

Example :
string

2.2.7 - ConfigInspectionLookinResponse

NameDescriptionSchemaDefault
requestNumber
required

Example :
string
systemId
required

Example :
string
targets
required

ConfigInspectionLookinTarget

2.2.8 - ConfigInspectionLookinResult

NameDescriptionSchemaDefault
current
optional

Example :
string
itemCode
required

Example :
string
verify
optional

Example :
string

2.2.9 - ConfigInspectionLookinTarget

NameDescriptionSchemaDefault
cloudAccountId
required

Example :
string
cspCd
required

Example :
string
cspConsoleCd
required

Example :
string
error
optional

any of [ConfigInspectionLookinError, null]
kind
optional

Example :
string
result
optional

array[ConfigInspectionLookinResult]
status
optional

Example :
string
version
optional

Example :
string

2.2.10 - DiagnosisObjectDetailResponse

NameDescriptionSchemaDefault
auth_key_responses
required

AuthKeyResponse
schedule_response
required

DiagnosisScheduleResponse
summary_responses
required

SummaryResponse

2.2.11 - DiagnosisObjectRequest

NameDescriptionSchemaDefault
account_id
required
account Id
Example : 0e3dffc50eb247a1adf4f2e5c82c4f99
string
auth_key_request
required

AuthKeyRequest
csp_type
required
Type of cloud service provider
Example : SCP
string
diagnosis_account_id
required
Id of diagnosis
Example : 0e3dffc50eb247a1adf4f2e5c82c4f99
string
diagnosis_check_type
required
Check type of diagnosis
Example : BP
string
diagnosis_id
required
Id of diagnosis
Example : DIA-943731CB8E3045C289BAECAEC3532097
string
diagnosis_name
required
Name of diagnosis
Example : Sample Diagnosis Name
Pattern : ^[a-zA-Z0-9-_]+$
Maximum length : 25
string
diagnosis_type
required
diagnosis Type
Example : Console
string
plan_type
required
plan Type
Example : STANDARD
string
schedule_request
required

DiagnosisScheduleRequest
tags
optional
Tag List
array[Tag]

2.2.12 - DiagnosisRequest

NameDescriptionSchemaDefault
access_key
required
Access Key
Example : SAMPLE KEY
string
diagnosis_check_type
required
Check type of diagnosis
Example : BP
string
diagnosis_id
required
Id of diagnosis
Example : DIA-943731CB8E3045C289BAECAEC3532097
string
secret_key
required
Secret Key
Example : SAMPLE KEY
string
tenant_id
required
Tenant ID
Example : 1234567890
string

2.2.13 - DiagnosisResultDetail

NameDescriptionSchemaDefault
action_guide
required
measure guide description
Example : 원격 접속 Port에 Source IP가 ANY(0.0.0.0/0)로 등록되어있거나 과도하게 허용된 Security Group 규칙은 아래와 같이 삭제합니다.
string
changed
required
iS Change result manage
Example : True
any of [boolean, null]
diagnosis_check_type
required
Check type of diagnosis
Example : BP
string
diagnosis_criteria
required
decision standard description
Example : `【 Security Group 규칙 】
① 원격접속 Port에 Any IP 접근을 허용하는 규칙이 존재하지 않아야 합니다.`
string
diagnosis_item
required
sub category description
Example : 2.NW_003. 프로토콜 별 원격접속 Port는 접근이 필요한 IP를 지정하여 접속을 허용해야 합니다.
string
diagnosis_layer
required
inspector item category description
Example : 2.NETWORK
string
diagnosis_method
required
inspector method description
Example : Security Group의 Inbound 규칙에 원격 접속이 필요한 사용자나 시스템만 접근을 허용하는 규칙을 등록 하였는지 확인합니다.
string
diagnosis_result
required
verify result state
Example : 03
string
result_contents
required
result Contents
Example : 상세 내역
string
sub_category
required
Sub Category
Example : NURIBP_SCP_02.NW_004
any of [string, null]

2.2.14 - DiagnosisResultDetailResponse

NameDescriptionSchemaDefault
checklist_name
required
checklist Name
Example : Sample Checklist
string
count
optional
total count
Example : 20
any of [integer, null]
diagnosis_account_id
required
Id of diagnosis
Example : 0e3dffc50eb247a1adf4f2e5c82c4f99
string
diagnosis_check_type
required
Check type of diagnosis
Example : BP
string
diagnosis_id
required
Id of diagnosis
Example : DIA-943731CB8E3045C289BAECAEC3532097
string
diagnosis_name
required
Name of diagnosis
Example : Sample Diagnosis Name
string
diagnosis_request_sequence
required
Sequence of diagnosis request
Example : SCPCIS-E75FD21CA524441C9C1B1B381D5974F7
string
links
optional
links
Example : [{'href': 'http://scp.samsungsdscloud.com/v1/notices', 'rel': 'self'}]
any of [array[object], null]
proceed_date
optional
proceed Date
Example :
string (date-time)
result_detail_list
required

array[DiagnosisResultDetail]
total
required
total count
Example : 10
integer

2.2.15 - DiagnosisResultListResponse

NameDescriptionSchemaDefault
count
optional
total count
Example : 20
any of [integer, null]
diagnosis_result_responses
required

array[DiagnosisResultResponse]
links
optional
links
Example : [{'href': 'http://scp.samsungsdscloud.com/v1/notices', 'rel': 'self'}]
any of [array[object], null]

2.2.16 - DiagnosisResultResponse

NameDescriptionSchemaDefault
count_check
optional
check count
Example : 10
integer
count_error
optional
error count
Example : 0
integer
count_fail
optional
fail count
Example : 3
integer
count_na
optional
na count
Example : 2
integer
count_pass
optional
pass count
Example : 5
integer
csp_type
optional
Type of cloud service provider
Example : SCP
string
diagnosis_account_id
optional
Id of diagnosis
Example : 0e3dffc50eb247a1adf4f2e5c82c4f99
string
diagnosis_check_type
optional
Check type of diagnosis
Example : BP
string
diagnosis_id
optional
Id of diagnosis
Example : DIA-943731CB8E3045C289BAECAEC3532097
string
diagnosis_name
optional
Name of diagnosis
Example : Sample Diagnosis Name
string
diagnosis_request_sequence
optional
Sequence of diagnosis request
Example : 1234567890
string
diagnosis_result
optional
diagnosis Result
Example : SUCCESS
string
diagnosis_total_count
optional
diagnosis Total Count
Example : 10
integer
proceed_date
optional
proceed Date
Example : 2022-01-01T12:00:00Z
string (date-time)
total
optional
total count
Example : 10
integer

2.2.17 - DiagnosisScheduleRequest

NameDescriptionSchemaDefault
diagnosis_id
required
Id of diagnosis
Example : DIA-943731CB8E3045C289BAECAEC3532097
string
diagnosis_start_time_pattern
required
Start time( 5-minute increments, 00 to 23 hours, 00 to 55 minutes )
Example : 08:00
string
frequency_type
required
Schedule type( monthly, weekly, daily)
Example : MONTH
string
frequency_value
required
Schedule value (01~31, MONDAY~SUNDAY, everyDay)
Example : 1
string
use_diagnosis_check_type_bp
required
Checklist Best Practice Use
Example : y
string
use_diagnosis_check_type_ssi
required
Checklist SSI usage
Example : y
string

2.2.18 - DiagnosisScheduleResponse

NameDescriptionSchemaDefault
diagnosis_id
optional
Id of diagnosis
Example : DIA-943731CB8E3045C289BAECAEC3532097
string
diagnosis_start_time_pattern
optional
Start time( 5-minute increments, 00 to 23 hours, 00 to 55 minutes )
Example : 08:00
string
frequency_type
optional
Schedule type( monthly, weekly, daily)
Example : MONTH
string
frequency_value
optional
Schedule value (01~31, MONDAY~SUNDAY, everyDay)
Example : 1
string
use_diagnosis_check_type_bp
optional
Checklist Best Practice Use
Example : y
string
use_diagnosis_check_type_ssi
optional
Checklist SSI usage
Example : y
string

2.2.19 - SummaryResponse

NameDescriptionSchemaDefault
created_at
required
Created date
Example : 2022-01-01T12:00:00Z
string (date-time)
csp_type
required
Type of cloud service provider
Example : SCP
string
diagnosis_account_id
required
Id of diagnosis
Example : 0e3dffc50eb247a1adf4f2e5c82c4f99
string
diagnosis_check_type
required
Check type of diagnosis
Example : BP
string
diagnosis_id
required
Id of diagnosis
Example : DIA-943731CB8E3045C289BAECAEC3532097
string
diagnosis_name
required
Name of diagnosis
Example : Sample Diagnosis Name
string
diagnosis_type
required
diagnosis Type
Example : Console
string
error_state
optional
Error type of recent diagnosis
Example : CONNECTION_FAIL
any of [string, null]
plan_type
required
plan Type
Example : STANDARD
string
recent_diagnosis_at
optional
recent Diagnosis Date
Example : 2022-01-01T12:00:00Z
any of [string (date-time), null]
recent_diagnosis_state
optional
recent Diagnosis State
Example : Completed
any of [string, null]

2.2.20 - Tag

NameDescriptionSchemaDefault
key
required
tag key
Example :
string
value
required
tag value
Example :
string

2.2.21 - TerminateResponse

NameDescriptionSchemaDefault
delete_flag
required
True, False Check
Example : True
boolean
msg
required
message of delete
Example : Delete success
string

3 - Key Management Service

Overview

Provides an Application Programming Interface (API) that supports programmatic use of IaaS/PaaS products provided by SCP.

This guide provides a brief description of Key Management Service(KMS) and how to call API. The API is provided as a RESTful API, and it responds in JSON format.

Version

VersionStatusSupported Until
1.0DEPRECATED20251231
1.1CURRENT-

OpenAPI URL

https://kms.{region}.{environment}.samsungsdscloud.com

Environment and Region List

environmentregion
skr-west1
skr-east1
gkr-south1
gkr-south2
gkr-south3
ekr-west1
ekr-east1

3.1 - APIs

3.1.1 - Change Rotate Info

3.1.1.1 - 1.1

put /v1/kms/transit/{key_id}/rotate-info

Description

Change rotate info.

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathkey_id
required
Resource id of KMS key
Example : 138c2fc8c29a449dbfa8681f8f1d78e2
stringNone
bodybody
required

KeyRotateInfoRequest

Responses

HTTP CodeDescriptionSchema
200OKKeyShowResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/kms/transit/{key_id}/rotate-info

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = kms 1.1"

Request body

{
    "auto_rotate": "Y",
    "rotate_cycle": 7
}

Example HTTP response

Response 200

{
    "key": {
        "account_id": "3265ab469f0d406d83073da3e11e7a6c",
        "auto_rotate": "Y",
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "current_version": 7,
        "delete_at": "20251008",
        "delete_target_yn": "Y",
        "description": "description1",
        "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
        "key_type": "advanced",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "name": "testkey",
        "next_rotate_at": "20241008",
        "order_ref": "0e1bfdf8-a7da-43d3-8e8c-c9f34024ba01",
        "purpose": "rsa-2048",
        "region": "kr-west1",
        "rotate_cycle": 7,
        "secret_ref": "0e1bfdf8-a7da-43d3-8e8c-c9f34024ba01",
        "state": "Active",
        "use_count": 1004
    }
}

3.1.1.2 - 1.0

put /v1/kms/transit/{key_id}/rotate-info

Description

Change rotate info.

State ACTIVE (DEPRECATED)

VersionSupported Until
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathkey_id
required
Resource id of KMS key
Example : 138c2fc8c29a449dbfa8681f8f1d78e2
stringNone
bodybody
required

KeyRotateInfoRequest

Responses

HTTP CodeDescriptionSchema
200OKKeyShowResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/kms/transit/{key_id}/rotate-info

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = kms 1.0"

Request body

{
    "auto_rotate": "Y",
    "rotate_cycle": 7
}

Example HTTP response

Response 200

{
    "key": {
        "account_id": "3265ab469f0d406d83073da3e11e7a6c",
        "auto_rotate": "Y",
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "current_version": 7,
        "delete_at": "20251008",
        "delete_target_yn": "Y",
        "description": "description1",
        "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
        "key_type": "advanced",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "name": "testkey",
        "next_rotate_at": "20241008",
        "order_ref": "0e1bfdf8-a7da-43d3-8e8c-c9f34024ba01",
        "purpose": "rsa-2048",
        "region": "kr-west1",
        "rotate_cycle": 7,
        "secret_ref": "0e1bfdf8-a7da-43d3-8e8c-c9f34024ba01",
        "state": "Active",
        "use_count": 1004
    }
}

3.1.2 - Change State Of Key

3.1.2.1 - 1.1

put /v1/kms/transit/{key_id}/state

Description

Change state of key.

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathkey_id
required
Resource id of KMS key
Example : 138c2fc8c29a449dbfa8681f8f1d78e2
stringNone
bodybody
required

KeyStateRequest

Responses

HTTP CodeDescriptionSchema
200OKKeyShowResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/kms/transit/{key_id}/state

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = kms 1.1"

Request body

{
    "state": "Active"
}

Example HTTP response

Response 200

{
    "key": {
        "account_id": "3265ab469f0d406d83073da3e11e7a6c",
        "auto_rotate": "Y",
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "current_version": 7,
        "delete_at": "20251008",
        "delete_target_yn": "Y",
        "description": "description1",
        "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
        "key_type": "advanced",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "name": "testkey",
        "next_rotate_at": "20241008",
        "order_ref": "0e1bfdf8-a7da-43d3-8e8c-c9f34024ba01",
        "purpose": "rsa-2048",
        "region": "kr-west1",
        "rotate_cycle": 7,
        "secret_ref": "0e1bfdf8-a7da-43d3-8e8c-c9f34024ba01",
        "state": "Active",
        "use_count": 1004
    }
}

3.1.2.2 - 1.0

put /v1/kms/transit/{key_id}/state

Description

Change state of key.

State ACTIVE (DEPRECATED)

VersionSupported Until
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathkey_id
required
Resource id of KMS key
Example : 138c2fc8c29a449dbfa8681f8f1d78e2
stringNone
bodybody
required

KeyStateRequest

Responses

HTTP CodeDescriptionSchema
200OKKeyShowResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/kms/transit/{key_id}/state

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = kms 1.0"

Request body

{
    "state": "Active"
}

Example HTTP response

Response 200

{
    "key": {
        "account_id": "3265ab469f0d406d83073da3e11e7a6c",
        "auto_rotate": "Y",
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "current_version": 7,
        "delete_at": "20251008",
        "delete_target_yn": "Y",
        "description": "description1",
        "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
        "key_type": "advanced",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "name": "testkey",
        "next_rotate_at": "20241008",
        "order_ref": "0e1bfdf8-a7da-43d3-8e8c-c9f34024ba01",
        "purpose": "rsa-2048",
        "region": "kr-west1",
        "rotate_cycle": 7,
        "secret_ref": "0e1bfdf8-a7da-43d3-8e8c-c9f34024ba01",
        "state": "Active",
        "use_count": 1004
    }
}

3.1.3 - Check Duplicate Name

3.1.3.1 - 1.1

get /v1/kms/transit/duplicate

Description

Check duplication of key name.

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
queryname
required
Name of key
Example : testkey
stringNone

Responses

HTTP CodeDescriptionSchema
200OKKeyNameDuplicateResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/kms/transit/duplicate?name={name}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = kms 1.1"

Example HTTP response

Response 200

{
    "isDuplicateName": true
}

3.1.3.2 - 1.0

get /v1/kms/transit/duplicate

Description

Check duplication of key name.

State ACTIVE (DEPRECATED)

VersionSupported Until
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
queryname
required
Name of key
Example : testkey
stringNone

Responses

HTTP CodeDescriptionSchema
200OKKeyNameDuplicateResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/kms/transit/duplicate?name={name}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = kms 1.0"

Example HTTP response

Response 200

{
    "isDuplicateName": true
}

3.1.4 - Create Datakey

3.1.4.1 - 1.1

post /v1/kms/openapi/datakey/{key_id}

Description

Generates a new key and the value encrypted with key(Purpose: encryption/decryption).

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathkey_id
required
Resource id of KMS key
Example : 138c2fc8c29a449dbfa8681f8f1d78e2
stringNone
bodybody
required

DatakeyRequest

Responses

HTTP CodeDescriptionSchema
200OKDatakeyResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/kms/openapi/datakey/{key_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = kms 1.1"

Request body

{
    "key_type": "plaintext"
}

Example HTTP response

Response 200

{
    "ciphertext": "vault:v283:YiUpW1bpF2fMY0VR33aQpik781Ul2gFPsfdwsypwouccHtPSfRaE40wTHHl4a5AK",
    "key_version": 1,
    "plaintext": "oTvvEkE7q0WM2S5yfGFz5nqe32QMlrCVnqssmDPu6fA="
}

3.1.4.2 - 1.0

post /v1/kms/openapi/datakey/{key_id}

Description

Generates a new key and the value encrypted with key(Purpose: encryption/decryption).

State ACTIVE (DEPRECATED)

VersionSupported Until
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathkey_id
required
Resource id of KMS key
Example : 138c2fc8c29a449dbfa8681f8f1d78e2
stringNone
bodybody
required

DatakeyRequest

Responses

HTTP CodeDescriptionSchema
200OKDatakeyResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/kms/openapi/datakey/{key_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = kms 1.0"

Request body

{
    "key_type": "plaintext"
}

Example HTTP response

Response 200

{
    "ciphertext": "vault:v283:YiUpW1bpF2fMY0VR33aQpik781Ul2gFPsfdwsypwouccHtPSfRaE40wTHHl4a5AK",
    "key_version": 1,
    "plaintext": "oTvvEkE7q0WM2S5yfGFz5nqe32QMlrCVnqssmDPu6fA="
}

3.1.5 - Create Key

3.1.5.1 - 1.1

post /v1/kms/transit

Description

Create key.

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

KeyCreateMasterKeyRequest

Responses

HTTP CodeDescriptionSchema
201CreatedKeyShowResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/kms/transit

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = kms 1.1"

Request body

{
    "auto_rotate": "Y",
    "description": "description1",
    "key_type": "advanced",
    "name": "testkey",
    "purpose": "rsa-2048",
    "rotate_cycle": 7,
    "tags": []
}

Example HTTP response

Response 201

{
    "key": {
        "account_id": "3265ab469f0d406d83073da3e11e7a6c",
        "auto_rotate": "Y",
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "current_version": 7,
        "delete_at": "20251008",
        "delete_target_yn": "Y",
        "description": "description1",
        "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
        "key_type": "advanced",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "name": "testkey",
        "next_rotate_at": "20241008",
        "order_ref": "0e1bfdf8-a7da-43d3-8e8c-c9f34024ba01",
        "purpose": "rsa-2048",
        "region": "kr-west1",
        "rotate_cycle": 7,
        "secret_ref": "0e1bfdf8-a7da-43d3-8e8c-c9f34024ba01",
        "state": "Active",
        "use_count": 1004
    }
}

3.1.5.2 - 1.0

post /v1/kms/transit

Description

Create key.

State ACTIVE (DEPRECATED)

VersionSupported Until
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

KeyCreateMasterKeyRequest

Responses

HTTP CodeDescriptionSchema
201CreatedKeyShowResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/kms/transit

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = kms 1.0"

Request body

{
    "auto_rotate": "Y",
    "description": "description1",
    "key_type": "advanced",
    "name": "testkey",
    "purpose": "rsa-2048",
    "rotate_cycle": 7,
    "tags": []
}

Example HTTP response

Response 201

{
    "key": {
        "account_id": "3265ab469f0d406d83073da3e11e7a6c",
        "auto_rotate": "Y",
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "current_version": 7,
        "delete_at": "20251008",
        "delete_target_yn": "Y",
        "description": "description1",
        "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
        "key_type": "advanced",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "name": "testkey",
        "next_rotate_at": "20241008",
        "order_ref": "0e1bfdf8-a7da-43d3-8e8c-c9f34024ba01",
        "purpose": "rsa-2048",
        "region": "kr-west1",
        "rotate_cycle": 7,
        "secret_ref": "0e1bfdf8-a7da-43d3-8e8c-c9f34024ba01",
        "state": "Active",
        "use_count": 1004
    }
}

3.1.6 - Decrypt Data

3.1.6.1 - 1.1

post /v1/kms/openapi/decrypt/{key_id}

Description

Decrypts the provided ciphertext using key(Purpose: encryption/decryption).

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathkey_id
required
Resource id of KMS key
Example : 138c2fc8c29a449dbfa8681f8f1d78e2
stringNone
bodybody
required

DecryptRequest

Responses

HTTP CodeDescriptionSchema
200OKDecryptResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/kms/openapi/decrypt/{key_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = kms 1.1"

Request body

{
    "ciphertext": "vault:v283:YiUpW1bpF2fMY0VR332Qpik781Ul2gFPsfdwsypwouccHtPSfRaE40wTHHl4a5AK"
}

Example HTTP response

Response 200

{
    "plaintext": "dGhlIHF1aWNrIGJyb3duIGZveAo="
}

3.1.6.2 - 1.0

post /v1/kms/openapi/decrypt/{key_id}

Description

Decrypts the provided ciphertext using key(Purpose: encryption/decryption).

State ACTIVE (DEPRECATED)

VersionSupported Until
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathkey_id
required
Resource id of KMS key
Example : 138c2fc8c29a449dbfa8681f8f1d78e2
stringNone
bodybody
required

DecryptRequest

Responses

HTTP CodeDescriptionSchema
200OKDecryptResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/kms/openapi/decrypt/{key_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = kms 1.0"

Request body

{
    "ciphertext": "vault:v283:YiUpW1bpF2fMY0VR332Qpik781Ul2gFPsfdwsypwouccHtPSfRaE40wTHHl4a5AK"
}

Example HTTP response

Response 200

{
    "plaintext": "dGhlIHF1aWNrIGJyb3duIGZveAo="
}

3.1.7 - Delete Key

3.1.7.1 - 1.1

delete /v1/kms/transit/{key_id}

Description

Delete a key now or later.

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathkey_id
required
Resource id of KMS key
Example : 138c2fc8c29a449dbfa8681f8f1d78e2
stringNone
queryis_directly
optional
Delete immediately
Example : True
booleanFalse

Responses

HTTP CodeDescriptionSchema
204No ContentNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/kms/transit/{key_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = kms 1.1"

Example HTTP response

Response 204

3.1.7.2 - 1.0

delete /v1/kms/transit/{key_id}

Description

Delete a key now or later.

State ACTIVE (DEPRECATED)

VersionSupported Until
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathkey_id
required
Resource id of KMS key
Example : 138c2fc8c29a449dbfa8681f8f1d78e2
stringNone
queryis_directly
optional
Delete immediately
Example : True
booleanFalse

Responses

HTTP CodeDescriptionSchema
204No ContentNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/kms/transit/{key_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = kms 1.0"

Example HTTP response

Response 204

3.1.8 - Encrypt Data

3.1.8.1 - 1.1

post /v1/kms/openapi/encrypt/{key_id}

Description

Encrypts the provided plaintext(base64 encoded) using key(Purpose: encryption/decryption)

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathkey_id
required
Resource id of KMS key
Example : 138c2fc8c29a449dbfa8681f8f1d78e2
stringNone
bodybody
required

EncryptRequest

Responses

HTTP CodeDescriptionSchema
200OKEncryptResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/kms/openapi/encrypt/{key_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = kms 1.1"

Request body

{
    "plaintext": "dGhlIHF1aWNrIGJyb3duIGZveAo="
}

Example HTTP response

Response 200

{
    "ciphertext": "vault:v283:YiUpW1bpF2fMY0VRh3aQpik781Ul2gFPsfdwsypwouccHtPSfRaE40wTHHl4a5AK",
    "key_version": 1
}

3.1.8.2 - 1.0

post /v1/kms/openapi/encrypt/{key_id}

Description

Encrypts the provided plaintext(base64 encoded) using key(Purpose: encryption/decryption)

State ACTIVE (DEPRECATED)

VersionSupported Until
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathkey_id
required
Resource id of KMS key
Example : 138c2fc8c29a449dbfa8681f8f1d78e2
stringNone
bodybody
required

EncryptRequest

Responses

HTTP CodeDescriptionSchema
200OKEncryptResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/kms/openapi/encrypt/{key_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = kms 1.0"

Request body

{
    "plaintext": "dGhlIHF1aWNrIGJyb3duIGZveAo="
}

Example HTTP response

Response 200

{
    "ciphertext": "vault:v283:YiUpW1bpF2fMY0VRh3aQpik781Ul2gFPsfdwsypwouccHtPSfRaE40wTHHl4a5AK",
    "key_version": 1
}

3.1.9 - List Keys

3.1.9.1 - 1.1

get /v1/kms/transit

Description

List keys.

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
queryname
optional
Name of key
Example : testkey
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKKeyPageResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/kms/transit

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = kms 1.1"

Example HTTP response

Response 200

{
    "count": 20,
    "keys": [
        {
            "account_id": "3265ab469f0d406d83073da3e11e7a6c",
            "auto_rotate": "Y",
            "created_at": "2024-05-17T00:23:17Z",
            "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "current_version": 7,
            "delete_at": "20251008",
            "delete_target_yn": "Y",
            "description": "description1",
            "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
            "key_type": "advanced",
            "modified_at": "2024-05-17T00:23:17Z",
            "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "name": "testkey",
            "next_rotate_at": "20241008",
            "order_ref": "0e1bfdf8-a7da-43d3-8e8c-c9f34024ba01",
            "purpose": "rsa-2048",
            "region": "kr-west1",
            "rotate_cycle": 7,
            "secret_ref": "0e1bfdf8-a7da-43d3-8e8c-c9f34024ba01",
            "state": "Active",
            "use_count": 1004
        }
    ],
    "page": 0,
    "size": 20,
    "sort": [
        "created_at:asc"
    ]
}

3.1.9.2 - 1.0

get /v1/kms/transit

Description

List keys.

State ACTIVE (DEPRECATED)

VersionSupported Until
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
queryname
optional
Name of key
Example : testkey
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKKeyPageResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/kms/transit

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = kms 1.0"

Example HTTP response

Response 200

{
    "count": 20,
    "keys": [
        {
            "account_id": "3265ab469f0d406d83073da3e11e7a6c",
            "auto_rotate": "Y",
            "created_at": "2024-05-17T00:23:17Z",
            "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "current_version": 7,
            "delete_at": "20251008",
            "delete_target_yn": "Y",
            "description": "description1",
            "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
            "key_type": "advanced",
            "modified_at": "2024-05-17T00:23:17Z",
            "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "name": "testkey",
            "next_rotate_at": "20241008",
            "order_ref": "0e1bfdf8-a7da-43d3-8e8c-c9f34024ba01",
            "purpose": "rsa-2048",
            "region": "kr-west1",
            "rotate_cycle": 7,
            "secret_ref": "0e1bfdf8-a7da-43d3-8e8c-c9f34024ba01",
            "state": "Active",
            "use_count": 1004
        }
    ],
    "page": 0,
    "size": 20,
    "sort": [
        "created_at:asc"
    ]
}

3.1.10 - List Users

3.1.10.1 - 1.1

get /v1/kms/transit/{key_id}/users

Description

Get List of users who use key.

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathkey_id
required
Resource id of KMS key
Example : 138c2fc8c29a449dbfa8681f8f1d78e2
stringNone

Responses

HTTP CodeDescriptionSchema
200OKKeyUserResponse
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/kms/transit/{key_id}/users

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = kms 1.1"

Example HTTP response

Response 200

{
    "user": [
        {
            "user_id": "138c2fc8c29a449dbfa8681f8f1d78e2",
            "user_name": "kimsamsung"
        }
    ]
}

3.1.10.2 - 1.0

get /v1/kms/transit/{key_id}/users

Description

Get List of users who use key.

State ACTIVE (DEPRECATED)

VersionSupported Until
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathkey_id
required
Resource id of KMS key
Example : 138c2fc8c29a449dbfa8681f8f1d78e2
stringNone

Responses

HTTP CodeDescriptionSchema
200OKKeyUserResponse
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/kms/transit/{key_id}/users

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = kms 1.0"

Example HTTP response

Response 200

{
    "user": [
        {
            "user_id": "138c2fc8c29a449dbfa8681f8f1d78e2",
            "user_name": "kimsamsung"
        }
    ]
}

3.1.11 - Make hmac

3.1.11.1 - 1.1

post /v1/kms/openapi/hmac/{key_id}

Description

Generates a HMAC using key(Purpose: create/verification).

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathkey_id
required
Resource id of KMS key
Example : 138c2fc8c29a449dbfa8681f8f1d78e2
stringNone
bodybody
required

HmacRequest

Responses

HTTP CodeDescriptionSchema
200OKHmacResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/kms/openapi/hmac/{key_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = kms 1.1"

Request body

{
    "input": "dGVzdCBpbnB1dA=="
}

Example HTTP response

Response 200

{
    "hmac": "vault:v1:/IHSD+Rg9BHNkmIiEunAPVj6IVaJqkjSO4GGvALHcVQ="
}

3.1.11.2 - 1.0

post /v1/kms/openapi/hmac/{key_id}

Description

Generates a HMAC using key(Purpose: create/verification).

State ACTIVE (DEPRECATED)

VersionSupported Until
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathkey_id
required
Resource id of KMS key
Example : 138c2fc8c29a449dbfa8681f8f1d78e2
stringNone
bodybody
required

HmacRequest

Responses

HTTP CodeDescriptionSchema
200OKHmacResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/kms/openapi/hmac/{key_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = kms 1.0"

Request body

{
    "input": "dGVzdCBpbnB1dA=="
}

Example HTTP response

Response 200

{
    "hmac": "vault:v1:/IHSD+Rg9BHNkmIiEunAPVj6IVaJqkjSO4GGvALHcVQ="
}

3.1.12 - Rewrap Data

3.1.12.1 - 1.1

post /v1/kms/openapi/rewrap/{key_id}

Description

Rewraps the provided ciphertext using the latest version of key(Purpose: encryption/decryption).

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathkey_id
required
Resource id of KMS key
Example : 138c2fc8c29a449dbfa8681f8f1d78e2
stringNone
bodybody
required

RewrapRequest

Responses

HTTP CodeDescriptionSchema
200OKRewrapResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/kms/openapi/rewrap/{key_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = kms 1.1"

Request body

{
    "ciphertext": "vault:v283:YiUpW1bpF2fMY0VR33aQpik781Ul2gFPsfdwsypwouccHtPSfRaE40wTHHl4a5AK"
}

Example HTTP response

Response 200

{
    "ciphertext": "vault:v283:YiUpW1bpF2fMY0VR33aQpik781Ul2gFPsfdwsypwouccHtPSfRaE40wTHHl4a5AK",
    "key_version": 1
}

3.1.12.2 - 1.0

post /v1/kms/openapi/rewrap/{key_id}

Description

Rewraps the provided ciphertext using the latest version of key(Purpose: encryption/decryption).

State ACTIVE (DEPRECATED)

VersionSupported Until
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathkey_id
required
Resource id of KMS key
Example : 138c2fc8c29a449dbfa8681f8f1d78e2
stringNone
bodybody
required

RewrapRequest

Responses

HTTP CodeDescriptionSchema
200OKRewrapResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/kms/openapi/rewrap/{key_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = kms 1.0"

Request body

{
    "ciphertext": "vault:v283:YiUpW1bpF2fMY0VR33aQpik781Ul2gFPsfdwsypwouccHtPSfRaE40wTHHl4a5AK"
}

Example HTTP response

Response 200

{
    "ciphertext": "vault:v283:YiUpW1bpF2fMY0VR33aQpik781Ul2gFPsfdwsypwouccHtPSfRaE40wTHHl4a5AK",
    "key_version": 1
}

3.1.13 - Rotate Key

3.1.13.1 - 1.1

post /v1/kms/transit/{key_id}/rotate

Description

Rotate key.

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathkey_id
required
Resource id of KMS key
Example : 138c2fc8c29a449dbfa8681f8f1d78e2
stringNone

Responses

HTTP CodeDescriptionSchema
200OKKeyShowResponse
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/kms/transit/{key_id}/rotate

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = kms 1.1"

Example HTTP response

Response 200

{
    "key": {
        "account_id": "3265ab469f0d406d83073da3e11e7a6c",
        "auto_rotate": "Y",
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "current_version": 7,
        "delete_at": "20251008",
        "delete_target_yn": "Y",
        "description": "description1",
        "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
        "key_type": "advanced",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "name": "testkey",
        "next_rotate_at": "20241008",
        "order_ref": "0e1bfdf8-a7da-43d3-8e8c-c9f34024ba01",
        "purpose": "rsa-2048",
        "region": "kr-west1",
        "rotate_cycle": 7,
        "secret_ref": "0e1bfdf8-a7da-43d3-8e8c-c9f34024ba01",
        "state": "Active",
        "use_count": 1004
    }
}

3.1.13.2 - 1.0

post /v1/kms/transit/{key_id}/rotate

Description

Rotate key.

State ACTIVE (DEPRECATED)

VersionSupported Until
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathkey_id
required
Resource id of KMS key
Example : 138c2fc8c29a449dbfa8681f8f1d78e2
stringNone

Responses

HTTP CodeDescriptionSchema
200OKKeyShowResponse
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/kms/transit/{key_id}/rotate

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = kms 1.0"

Example HTTP response

Response 200

{
    "key": {
        "account_id": "3265ab469f0d406d83073da3e11e7a6c",
        "auto_rotate": "Y",
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "current_version": 7,
        "delete_at": "20251008",
        "delete_target_yn": "Y",
        "description": "description1",
        "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
        "key_type": "advanced",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "name": "testkey",
        "next_rotate_at": "20241008",
        "order_ref": "0e1bfdf8-a7da-43d3-8e8c-c9f34024ba01",
        "purpose": "rsa-2048",
[...]
